Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class LispInterpreter.Syntax

    java.lang.Object
      ix.util.lisp.LispInterpreter.Syntax

All Implemented Interfaces:
  LispInterpreter.Parser

Enclosing class:
  LispInterpreter

    public abstract class LispInterpreter.Syntax

extends java.lang.Object
implements LispInterpreter.Parser

Field Summary
`protected Symbol` | `name`

Constructor Summary
`LispInterpreter.Syntax(java.lang.String name)`

Method Summary
`protected void` | `checkLength(int required, LList form)`
`protected Interpreter.Expr` | `describe(Interpreter.Expr e, java.lang.Object description)`
`protected
`<T> T`
` | `mustBe(java.lang.Class<T> c, java.lang.Object obj)`
`protected LList` | `mustBeLListOf(java.lang.Class c, java.lang.Object obj)`
`protected Interpreter.Expr` | `parseBody(LList body)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ix.util.lisp.LispInterpreter.Parser
`parse`

Field Detail

### name

    protected Symbol name

Constructor Detail

### LispInterpreter.Syntax

    public LispInterpreter.Syntax(java.lang.String name)

Method Detail

### checkLength

    protected void checkLength(int required,
                               LList form)

### mustBe

    protected <T> T mustBe(java.lang.Class<T> c,
                           java.lang.Object obj)

### mustBeLListOf

    protected LList mustBeLListOf(java.lang.Class c,
                                  java.lang.Object obj)

### parseBody

    protected Interpreter.Expr parseBody(LList body)

### describe

    protected Interpreter.Expr describe(Interpreter.Expr e,
                                        java.lang.Object description)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD